#
# spec file for package gom
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gom
Version:        0.3.2
Release:        9.1
Summary:        GObject Data Mapper
License:        LGPL-2.1+
Group:          System/Libraries
Url:            https://git.gnome.org/browse/gom/
Source:         http://download.gnome.org/sources/gom/0.3/%{name}-%{version}.tar.xz
BuildRequires:  intltool >= 0.40.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.36
BuildRequires:  pkgconfig(gobject-2.0) >= 2.36
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(sqlite3) >= 3.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libgom - GObject Data Mapper.
This is an DataMapper for GObject.

%package -n libgom-1_0-0
Summary:        GObject Data Mapper
Group:          System/Libraries
Recommends:     %{name}-lang = %{version}
# To make the lang package installable
Provides:       %{name} = %{version}

%description -n libgom-1_0-0
libgom - GObject Data Mapper.
This is an DataMapper for GObject.

%package -n typelib-1_0-Gom-1_0
Summary:        GObject Data Mapper -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Gom-1_0
libgom - GObject Data Mapper.
This is an DataMapper for GObject.

This package provides the GObject Introspection bindings for gom.

%package devel
Summary:        GObject Data Mapper -- Development Files
Group:          Development/Libraries/GNOME
Requires:       libgom-1_0-0 = %{version}
Requires:       typelib-1_0-Gom-1_0 = %{version}

%description  devel
libgom - GObject Data Mapper -- Development Files
This is an DataMapper for GObject.

%lang_package
%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%check
%{__make} test

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print
%find_lang gom

%post -n libgom-1_0-0 -p /sbin/ldconfig

%postun -n libgom-1_0-0 -p /sbin/ldconfig

%files -n libgom-1_0-0
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/libgom-1.0.so.*

%files -n typelib-1_0-Gom-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Gom-1.0.typelib

%files devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gom/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gom-1.0/
%{_datadir}/gir-1.0/*.gir

%files lang -f gom.lang

%changelog
* Wed Mar 16 2016 badshah400@gmail.com
- Update to version 0.3.2 (boo#967731):
  + Add missing annotation for repository object.
  + Support ordering queries.
  + Add support for creating new tables in a version.
  + Fix memory leak in GomResource.
  + Bindings:
  - Add missing annotation for repository object.
  - Add a working Python example.
  - Make ResourceGroup a sequence in Python bindings.
* Wed Apr 29 2015 zaitor@opensuse.org
- Update to version 0.3.1:
  + Support g_autoptr() for all gom object types.
  + Add IS NULL and IS NOT NULL filters.
  + Add gom_resource_group_delete_[a]sync functions.
  + Fix crash on 64-bit systems with some compiler/compiler flags.
  + Fix saving a modified resource a second time.
  + Fix setting ID after calling gom_resource_group_write_*.
- Add a %%check section and pass %%{__make} test to it. Actually run
  the already enabled tests. This adds quite a bit to build time,
  but all testing we can get is good.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 0.3.0:
  + Update COPYING to LGPL 2.1+ to match headers.
  + Add support for batched writes.
  + Support the GLOB operator.
  + Fix stacking of filters.
  + Fix possible crashes on exit.
  + Remove "adapter" property from GomResourceGroup.
  + Fix a bug in automatic migration.
  + Fix a number of bugs related to using GOM in bindings and in
    multi-thread unsafe interpreters.
  + Make gdk-pixbuf an optional dependency.
* Mon Aug 25 2014 zaitor@opensuse.org
- Initial packaging version 0.2.1
